#ifndef __TERMINAL_USER_H
#define __TERMINAL_USER_H

#include "cmsis_os.h"
#include "terminal.h"



class SbsTerminal : public Terminal
{
public:
    SbsTerminal();

    virtual void configure();
    virtual int execute(int argc, const char * const * argv);
    virtual void sigint (void);
    virtual void connectCallback();


public:
    int help(int argc, const char * const * argv);
    int help_connection();
    int version(int argc, const char * const * argv);
    int clear(int argc, const char * const * argv);
    int reset(int argc, const char * const * argv);
    
    
public:
    
    void put_byte(char byte);
    
public :
  
    osMessageQId m_dataQueue;
    
};

extern SbsTerminal sbsTerminal;


#endif // __TERMINAL_USER_H
